echo preremove running

#
# Make sure directories are free of trailing slahses
#
# TODO:
#  HOST_OS may be able to be slurped from the pkgadd parameters
#  rather than re-established
#
if [ -f /etc/.relid ]
then
	HOST_OS=ncr
else
	HOST_OS=`uname -s`
fi

if [ "Windows" != "$HOST_OS" ]
then
	PKG_BASE=`head -n 1 /etc/.snapvault`
fi
STRIPPED_PKG_BASE="`echo $PKG_BASE | sed -e 's+\\$++' -e 's+/$++'`"
PKG_BASE="$STRIPPED_PKG_BASE"

#
# Establish the users temp directory, defaulting to /tmp
#
if [ "" = "$TMPDIR" ]
then
	echo "Using default /tmp as the temporary directory"
	TMPDIR=/tmp
	if [ "Windows" = "$HOST_OS" ]
	then
		TMPDIR="${TEMP}"
	fi
else
	echo "Using user specified temp directory $TMPDIR"
fi

#
# Include the file containing the common functions
#
if [ "Windows" != "$HOST_OS" ]
then
	if [ "SunOS" = "$HOST_OS" ]
	then
		. `pwd`/commonfuncs
	else
		. $PKG_BASE/uninstall/commonfuncs.sh
	fi

	if [ "Linux" = "$HOST_OS" ]
	then
		get_caffeine_info "$PKG_BASE"
	fi
fi

#
# TODO: Once all installers supply vars back, make them all use PKG_BASE
# relative paths
#
echo Removing OSSV services
if [ "Windows" = "$HOST_OS" ]
	then
	"$PKG_BASE"/bin/svpmgr shutdown
	"$PKG_BASE"/bin/svpmgr remove
else
	svpmgr shutdown
	svpmgr remove
#
# Sleeping for a second to allow the services to die down;
# otherwise the files svcmgr, svpmgr & libsv may not get removed
# when the files are deleted later on
#
	sleep 1

fi

#
# Copy shell files somewhere so that we'll be able to get at them for
# running the postremove script
#
if [ "Windows" = "$HOST_OS" ]
	then
	cp "$PKG_BASE"/installfiles/* "$PKG_BASE"/tmp
fi

#
# Generate a list of libraries for use by the postremove.sh script
#
ls "$PKG_BASE"/lib | grep libsv > "$TMPDIR"/liblist.txt

#
# Clean up Caffeine related stuff
#
if [ "Linux" = "$HOST_OS" -o "Windows" = "$HOST_OS" ]
then
	if [ "Windows" = "$HOST_OS" ]
	then
		if [ "NetApp Host Agent" = "$CaffeineProductName" ]
		then
			CAFFEINE_EXE="$CAFFEINE_PATH"/ntap_agent.exe
		else
			CAFFEINE_EXE="$CAFFEINE_PATH"/dfm_agent.exe
		fi
		CAFFEINE_PRODUCT_NAME="$CaffeineProductName"
	else
		CAFFEINE_PATH=/opt/"$REQ_CAFFEINE_BUILD"
		CAFFEINE_EXE="$REQ_CAFFEINE_FILE"
		CAFFEINE_PRODUCT_NAME="$REQ_CAFFEINE_NAME"
	fi

	if [ -n "$CAFFEINE_PATH" -a -d "$CAFFEINE_PATH" ]
	then
		if [ -f "$CAFFEINE_EXE" -a "Yes" = "$CAFFEINE_PRESENT" ]
		then
			echo "Stopping $CAFFEINE_PRODUCT_NAME"
			"$CAFFEINE_EXE" stop
		fi

		rm -f "$CAFFEINE_PATH"/*plugin_ossv*
		rm -f "$CAFFEINE_PATH"/*svmanage*

		if [ -f "$CAFFEINE_EXE" -a "Yes" = "$CAFFEINE_PRESENT" ]
		then
			echo "Starting $CAFFEINE_PRODUCT_NAME"
			"$CAFFEINE_EXE" start
		fi
	fi
fi

#
# Call the vmware uninstall script
#
if [ "Esx" = "$HOST_OS" ]
then
	"$PKG_BASE"/apps/vmware/ossvvmuninstall.sh
	if [ 0 != $? ]
	then
		echo "Error uninstalling vmware plugins"
	fi
fi

exit 0

